---
title: "Retrieve Dispute"
source_url: https://docs.rapyd.net/en/retrieve-dispute.html
lang: en
---

# Retrieve Dispute

Retrieve the details of a dispute.

### Parameters

### Request Path Parameters

- - dispute
  - ID of the dispute you want to retrieve. String starting with **dispute_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Amount that Rapyd deducted from the merchant due to the dispute.
- - central_processing_date
  - The date the transaction was processed by the card network.
- - created_at
  - Time of creation of the dispute, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - currency
  - Three-letter ISO 4217 code for the currency used in the `amount` field.
- - dispute_category
  - The category of dispute that was provided by the card network.
- - dispute_reason_description
  - A short description of the reason for the dispute.
- - due_date
  - The latest date for the dispute to be contested, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - evidence
  - Reserved.
- - evidence_reason_code
  - Reserved.
- - ewallet_id
  - ID of the wallet that the money is paid into. String starting with **ewallet_**. Relevant when the request includes a single wallet.
- - id
  - Reserved.
- - merchant_ewallet
  - ID of the wallet of the Payment Facilitator (PayFac) sub-merchant. String starting with **ewallet_**. Appears only when the dispute is for a payment initiated by a PayFac. Note that the Webhook sample on this page is for a PayFac.
- - merchant_reference_id
  - Merchant-defined ID of the payment. Corresponds to the `merchant_reference_id` field in the payment object. Null when the merchant did not provide a reference ID.
- - original_dispute_amount
  - Amount of the dispute, as reported to Rapyd.
- - original_dispute_currency
  - Currency of the disputed payment. Three-letter ISO 4217 code.
- - original_transaction_amount
  - Amount of the original payment.
- - original_transaction_currency
  - Currency of the `original_transaction_amount`. Three-letter ISO 4217 code.
- - original_transaction_id
  - ID of the payment that the dispute is charged against. String starting with **payment_**.
- - payment_method
  - ID of the payment method. String starting with **card_**.
- - payment_method_data
  - Details of the payment method that was used for the payment.

    - - account_last4
      - Last four digits of the [IBAN](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_iban "International Bank Account Number").

        Relevant to bank transfers.
    - - account_name_inquiry
      - Data about the account name inquiry (ANI).

        - - account_name_inquiry_result
          - Result of the account name inquiry. One of the following values:

            - **match** - Indicates that the name provided in the request fully matched the issuing bank's records.
            - **partial match** - Indicates that the name provided in the request partially matched the issuing bank's records.
            - **no match** - Indicates that the name provided in the request did not match the issuing bank's records.
            - **not performed** - Indicates that the account name inquiry was not performed.
            - **not supported** - Indicates that the payment method does not support account name inquiries.
        - - account_name_inquiry_details
          - Indicates the degree of matching each part of the cardholder's name.

            - - first_name
              - Indicates the result of matching the cardholder's given name. One of the following values:

                - **match** - Indicates that the first name provided in the request fully matched the first name in the issuing bank's records.
                - **partial match** - Indicates that the first name provided in the request partially matched the first name in the issuing bank's records.
                - **no match** - Indicates that first the name provided in the request did not match the first name in the issuing bank's records.
            - - middle_name
              - indicates the result of matching the cardholder's middle name. One of the following values:

                - **match** - Indicates that the middle name provided in the request fully matched the middle name in the issuing bank's records.
                - **partial match** - Indicates that the middle name provided in the request partially middle the first name in the issuing bank's records.
                - **no match** - Indicates that the middle name provided in the request did not match the middle name in the issuing bank's records.
            - - last_name
              - indicates the result of matching the cardholder's family name. One of the following values:

                - **match** - Indicates that the last name provided in the request fully matched the family name in the issuing bank's records.
                - **partial match** - Indicates that the last name provided in the request partially matched the family name in the issuing bank's records.
                - **no match** - Indicates that the last name provided in the request did not match the family name in the issuing bank's records.
    - - acs_check
      - Results of the [Access Control Server (ACS)](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_acs "Access Control Server") check. Possible values:

        - **pass**
        - **fail**
        - **unavailable**
        - **unchecked**

        Relevant to cards.
    - - avs_check
      - Results of the [Address Verification Service (AVS)](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_avs "Address Verification Service") check.

        Relevant to Visa, Mastercard, Amex, and Discover cards.
    - - authentication_url
      - URL of a page where the customer enters the [IBAN](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_iban "International Bank Account Number") and phone number for authentication.

        Relevant to some bank transfer payment methods.
    - - bic_swift
      - [BIC (Bank Identifier Code)](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_bic "Bank Identifier Code")/SWIFT code.
    - - bin_details
      - Bank identification details. Relevant to cards.

        - - bin_number
          - [Bank identification number](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_bin "Bank Identification Number") of the issuing bank.
        - - brand
          - The brand of the card.
        - - country
          - The country where the card was issued.
        - - issuer
          - Name of the bank that issued the card.
        - - level
          - The level of the card.
        - - type
          - The type of card.
    - - category
      - Category of payment method. One of the following:

        - **bank_redirect**
        - **bank_transfer**
        - **card**
        - **cardtocard**
        - **cash**
        - **ewallet**
        - **rapyd_ewallet**
    - - cvv_check
      - Verification of the card’s CVV. Valid values:

        - **pass**
        - **fail**
        - **unavailable**
        - **unchecked**

        Relevant to cards.
    - - digital_wallet
      - Information about the digital wallet.

        - - pan_type
          - Describes the type of [PAN](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_pan "Primary Account Number").
        - - type
          - Describes the type of digital wallet.
    - - expiration_month
      - The month when the expiration of the card occurs.

        Relevant to cards.
    - - expiration_year
      - The year when the expiration of the card occurs.

        Relevant to cards.
    - - fingerprint_token
      - Hash of the card number, expiration date and [CVV](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_cvv "Card Verification Value").

        Relevant to cards.
    - - full_name
      - Full name of the cardholder, as submitted for account name inquiry (ANI).

        - - first_name
          - The cardholder's given name.
        - - middle_name
          - The cardholder's middle name.
        - - last_name
          - The cardholder's family name.
    - - id
      - ID of the payment method.

        > **Note:**
        >
        > Card payment method ID is not returned when the `next_action` is **3d_verification** or when `save_payment_method` was set to **false**.
    - - image
      - A URL to the image of the icon for the payment method type.
    - - last4
      - Last four digits of the card.

        Relevant to cards.
    - - metadata
      - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
    - - network_reference_id
      - Identifier for use in a recurring card payment.
    - - next_action
      - Indicates the next action for completing the payment. One of the following values:

        - **3d_verification** - The next action is [3DS](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_rds "Three-Domain Secure"). Relevant to card payments.
        - **pending_capture** - The next action is pending the capture of the amount. Relevant to card payments when the amount is not zero.
        - **pending_confirmation** - The next action is pending the confirmation for the payment. Relevant to all payment methods excluding card payment.
        - **not_applicable** - The payment has completed or the next action is not relevant.
    - - payment_account_reference
      - Payment Account Reference (PAR) number. An alphanumeric code that associates payments made by different tokens and physical cards that all represent the same payment account number (PAN). Appears only in card responses that include an EMVCo-compliant PAR.
    - - type
      - Type of the payment card. Possible values:

        - **credit**
        - **debit**
        - **prepaid**
        - **unknown**

        Relevant to cards.
    - - supporting_documentation
      - Reserved.
    - - webhook_url
      - Reserved.
- - pre_dispute
  - When **true**, indicates that the disputed payment was automatically refunded based on pre-determined criteria.
- - rate
  - FX rate.

    Relevant to payments with FX.
- - status
  - Indicates the status of the dispute operation. One of the following values:

    - **ACT** (Active) - The dispute was initiated and is awaiting action by the merchant.
    - **RVW** (Review) - Rapyd is reviewing the merchant's evidence contesting the dispute.
    - **PRA** (Pre-Arbitration) - The card issuer challenged a previously contested dispute. The dispute is being reviewed.
    - **ARB** (Arbitration) - The merchant rejected a pre-arbitration outcome. Rapyd is awaiting a ruling by an arbitration committee of the card schemes.
    - **LOS** (Loss) - The merchant lost the dispute. Funds were deducted from the merchant wallet.
    - **WIN** (Win) - The merchant won the dispute. Funds were credited to the merchant wallet.
    - **REV** (Reverse) - The card issuer reversed the dispute. Funds were credited to the merchant wallet. Final status.
- - token
  - ID of the dispute. String starting with **dispute_**.
- - updated_at
  - Time that the dispute was last updated, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").

- /v1/disputes/:dispute

- Retrieve Dispute
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/disputes/dispute_3e4862ba69665f04da530154f1019998' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "9a4ffa62-20ba-4a00-9155-f8778c93f368"
      },
      "data": {
          "id": "1d34c78e-4adf-49df-9450-f5bd78300834",
          "token": "dispute_3e4862ba69665f04da530154f1019998",
          "status": "ACT",
          "amount": 26.49,
          "currency": "USD",
          "dispute_category": "Cardholder Dispute",
          "dispute_reason_description": "Goods or Services Not Provided",
          "original_transaction_currency": "USD",
          "original_transaction_amount": 26.49,
          "original_dispute_amount": 26.49,
          "original_dispute_currency": "USD",
          "original_transaction_id": "payment_ce936f36d93bc9307a3db9ebfd3deaaa",
          "ewallet_id": null,
          "central_processing_date": null,
          "created_at": 1650974101,
          "updated_at": 1742125750,
          "due_date": 1651751701,
          "payment_method": "card_39d8aee398dfa5492fc2a0ea2822958f",
          "payment_method_data": {
              "id": "card_39d8aee398dfa5492fc2a0ea2822958f",
              "type": "us_visa_card",
              "category": "card",
              "metadata": null,
              "image": "",
              "webhook_url": "",
              "supporting_documentation": "",
              "next_action": "not_applicable",
              "name": "John Doe",
              "last4": "1219",
              "acs_check": "unchecked",
              "cvv_check": "unchecked",
              "bin_details": {
                  "type": null,
                  "brand": null,
                  "level": null,
                  "country": null,
                  "bin_number": "453992"
              },
              "expiration_year": "25",
              "expiration_month": "11",
              "fingerprint_token": "ocfp_f63d2a47a4ccca8613e8b00dc481d461"
          },
          "rate": 1,
          "evidence": null,
          "evidence_reason_code": null,
          "pre_dispute": false,
          "arn": null
      }
  }
  ```
